OI Payments Docs
API ReferenceAdmin Subscriptions

Cancel

POST
/api/v1/admin/subscriptions/{id}/cancel

Authorization

AdminSession
AuthorizationBearer <token>

Admin session token returned by POST /auth/login, sent as 'Authorization: Bearer '.

In: header

Path Parameters

id*integer

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X POST "https://example.com/api/v1/admin/subscriptions/0/cancel" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "id": 0,
    "status": "TRIALING",
    "productId": 0,
    "priceId": 0,
    "customerReference": "string",
    "startDate": "2019-08-24",
    "currentPeriodStart": "2019-08-24",
    "nextBillingDate": "2019-08-24",
    "trialEndDate": "2019-08-24",
    "cancelAtPeriodEnd": true,
    "canceledAt": "2019-08-24T14:15:22Z",
    "mode": "TEST",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "meta": {
    "success": true,
    "message": "string",
    "errorCode": "RESOURCE_NOT_FOUND",
    "timestamp": "2019-08-24T14:15:22Z"
  },
  "pagination": {
    "page": 0,
    "size": 0,
    "totalElements": 0,
    "totalPages": 0
  }
}